## org.apache.commons.collections.map
Class UnmodifiableSortedMap

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.map.AbstractSortedMapDecorator
              org.apache.commons.collections.map.UnmodifiableSortedMap

All Implemented Interfaces:
  java.io.Serializable, java.util.Map, java.util.SortedMap, Unmodifiable

    public final class UnmodifiableSortedMap

extends AbstractSortedMapDecorator
implements Unmodifiable, java.io.Serializable

Decorates another `SortedMap` to ensure it can't be altered.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Method Summary
`void` `clear()`
`java.util.Comparator` `comparator()`
`static java.util.SortedMap` `decorate(java.util.SortedMap map)` Factory method to create an unmodifiable sorted map.
`java.util.Set` `entrySet()`
`java.lang.Object` `firstKey()`
`java.util.SortedMap` `headMap(java.lang.Object toKey)`
`java.util.Set` `keySet()`
`java.lang.Object` `lastKey()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `putAll(java.util.Map mapToCopy)`
`java.lang.Object` `remove(java.lang.Object key)`
`java.util.SortedMap` `subMap(java.lang.Object fromKey, java.lang.Object toKey)`
`java.util.SortedMap` `tailMap(java.lang.Object fromKey)`
`java.util.Collection` `values()`

Methods inherited from class org.apache.commons.collections.map.AbstractSortedMapDecorator
`getSortedMap`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Method Detail

### decorate

    public static java.util.SortedMap decorate(java.util.SortedMap map)

  Factory method to create an unmodifiable sorted map.

  Parameters:
    `map` - the map to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if map is null

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `AbstractMapDecorator`

### putAll

    public void putAll(java.util.Map mapToCopy)

  Specified by:
    `putAll` in interface `java.util.Map`
  Overrides:
    `putAll` in class `AbstractMapDecorator`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `AbstractMapDecorator`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Overrides:
    `entrySet` in class `AbstractMapDecorator`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`
  Overrides:
    `keySet` in class `AbstractMapDecorator`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`
  Overrides:
    `values` in class `AbstractMapDecorator`

### firstKey

    public java.lang.Object firstKey()

  Specified by:
    `firstKey` in interface `java.util.SortedMap`
  Overrides:
    `firstKey` in class `AbstractSortedMapDecorator`

### lastKey

    public java.lang.Object lastKey()

  Specified by:
    `lastKey` in interface `java.util.SortedMap`
  Overrides:
    `lastKey` in class `AbstractSortedMapDecorator`

### comparator

    public java.util.Comparator comparator()

  Specified by:
    `comparator` in interface `java.util.SortedMap`
  Overrides:
    `comparator` in class `AbstractSortedMapDecorator`

### subMap

    public java.util.SortedMap subMap(java.lang.Object fromKey,
                                      java.lang.Object toKey)

  Specified by:
    `subMap` in interface `java.util.SortedMap`
  Overrides:
    `subMap` in class `AbstractSortedMapDecorator`

### headMap

    public java.util.SortedMap headMap(java.lang.Object toKey)

  Specified by:
    `headMap` in interface `java.util.SortedMap`
  Overrides:
    `headMap` in class `AbstractSortedMapDecorator`

### tailMap

    public java.util.SortedMap tailMap(java.lang.Object fromKey)

  Specified by:
    `tailMap` in interface `java.util.SortedMap`
  Overrides:
    `tailMap` in class `AbstractSortedMapDecorator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.